Subject: [Idr] draft-litkowski-idr-rtc-interas

From: Robert Raszuk <[email-masked]>
Date: Tue, 22 Jul 2014 17:14:32 +0200

Stephane,

I have one fundamental question on this ...

You have focused on making sure that BGP control plane works fast and solid
etc. That is great and timestamp idea at each BGP hop would help.

However let's observe that BGP control plane is NOT congruent with data
plane. In other words you may have a case where someone may have slow and
overloaded RR but uses 40 GB pipes for data plane while other AS installed
super-hyper x86 RRs and has 1 GB links for data plane.

Your results may actually in the above case casue more problems then gains
unfortunately.

The possible simple fix is to mandate that timestamp is ONLY added when
your change next hop to self or that you can have a new flag "N" - Next Hop
Set which will help a lot to make more use cases for this proposal.

Best,
R.